- Print
- DarkLight
- PDF
Get List of Integrations
- Print
- DarkLight
- PDF
Any of the following permissions is required:
manage-incoming-integrationsmanage-own-incoming-integrationsmanage-outgoing-integrationsmanage-own-outgoing-integrations
The endpoint returns the integrations based on the user permissions.
Changelog
| Version | Description |
|---|---|
| 7.0.0 | Added name and type query parameters for filtering. |
| 1.1.0 | Separate permissions in incoming and outgoing. |
| 0.49.0 | Added |
The authorization token of the user.
The user ID of the user.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items.
The number of items to return.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}
This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": query={ "name": { "$regex": "g" } }
This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: fields={ "username": 1 }
Filter list by the name of the integration.
Filter list by the type of the integration. It can be webhook-outgoing or webhook-incoming.
{
"integrations": [
{
"_id": "WMQDChpnYTRmFre9h",
"enabled": true,
"username": "rocket.cat",
"alias": "Guggy",
"avatar": "https://image.crisp.im/avatar/website/17651a90-e082-43f6-b308-957cea6e323c/128",
"name": "Guggy",
"triggerWords": [
"!guggy",
"guggy",
"gif+"
],
"urls": [
"http://text2gif.guggy.com/guggify"
],
"token": "aobEdbYhXfu5hkeqG",
"script": "...",
"scriptEnabled": true,
"impersonateUser": false,
"scriptCompiled": "...",
"scriptError": null,
"type": "webhook-outgoing",
"userId": "rocket.cat",
"channel": [],
"_createdAt": "2017-01-05T17:06:05.660Z",
"_createdBy": {
"username": "graywolf336",
"_id": "R4jgcQaQhvvK6K3iY"
},
"_updatedAt": "2017-01-05T17:06:05.660Z"
},
{
"_id": "3aazpZ2WzoBP8msi9",
"type": "webhook-outgoing",
"name": "Testing via REST API",
"enabled": false,
"username": "rocket.cat",
"urls": [
"http://text2gif.guggy.com/guggify"
],
"scriptEnabled": false,
"userId": "rocket.cat",
"channel": [],
"_createdAt": "2017-01-06T13:23:46.018Z",
"_createdBy": {
"username": "graywolf336",
"_id": "R4jgcQaQhvvK6K3iY"
},
"_updatedAt": "2017-01-06T13:23:46.018Z"
}
],
"offset": 0,
"items": 2,
"total": 2,
"success": true
}Unauthorized
{
"status": "error",
"message": "You must be logged in to do this."
}